> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 単一のリクエストの取得

> 指定したキーを使用して、単一の requests オブジェクトを返します。



## OpenAPI

````yaml 26.2/self-hosted/ja/api-reference/openapi.json GET /requests('{Id}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /requests('{Id}'):
    get:
      tags:
        - requests
      summary: 単一のリクエストの取得
      description: 指定したキーを使用して、単一の requests オブジェクトを返します。
      operationId: getrequests
      parameters:
        - name: Id
          in: path
          description: キー Id
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: 構造プロパティを選択します
      responses:
        '200':
          description: requests レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/requests'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    requests:
      type: object
      properties:
        Id:
          description: リクエストのId。
          type: string
        Timestamp:
          description: リクエストが処理された時刻。
          type: string
          format: date-time
        URL:
          description: リクエストのURL。
          type: string
        Method:
          description: HTTPメソッド。
          type: string
        User:
          description: リクエストを行ったユーザー。
          type: string
        RemoteIP:
          description: リクエストのリモートIPアドレス。
          type: string
        Script:
          description: スクリプト。
          type: string
        Bytes:
          description: リクエストのサイズ。
          type: integer
          format: int64
        Time:
          description: リクエストの時刻。
          type: integer
          format: int32
        Error:
          description: リクエストのエラー。
          type: string
        status:
          description: リクエストのステータス。
          type: string
        InstanceId:
          description: HA環境においてログを書き込むホストです。
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````